Update workspace file or folder metadata
Updates workspace item metadata for one or more specific files/folders.
Authentication
Authorizationstring
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
accountId
The external account number (int) or account id GUID.
fileId
Specifies the room file ID GUID.
folderId
The ID of the folder being accessed.
workspaceId
Specifies the workspace ID GUID.
Response
Successful response.
callerAuthorization
Provides properties that describe user authorization to a workspace.
contentType
created
The UTC DateTime when the workspace user authorization was created.
createdById
createdByInformation
A workspaceUser representing the user. This property is only returned in response to user specific GET call.
extension
fileSize
fileUri
id
isPublic
If true, this supersedes need for bit mask permission with workspaceUserAuthorization
lastModified
Utc date and time the comment was last updated (can only be done by creator.)
lastModifiedById
lastModifiedByInformation
A workspaceUser representing the user. This property is only returned in response to user specific GET call.
name
pageCount
parentFolderId
parentFolderUri
type
Type of the user. Valid values: type_owner, type_participant.
uri
Errors
400
Bad Request Error